Skip to main content
GET
/
api
/
modelApis
/
async
/
v1
/
{asyncModelId}
/
{asyncPredictionId}
Retrieve the result of an Async Model prediction
curl --request GET \
  --url https://api.example.com/api/modelApis/async/v1/{asyncModelId}/{asyncPredictionId} \
  --header 'X-Domino-Api-Key: <api-key>'
{
  "asyncPredictionId": "<string>",
  "status": "<string>",
  "errors": [
    "<string>"
  ],
  "result": {}
}

Authorizations

X-Domino-Api-Key
string
header
required

Path Parameters

asyncModelId
string
required

Id of Async Model

asyncPredictionId
string
required

Id of Async Prediction

Response

Success

asyncPredictionId
string
required

Id of the Async Prediction

status
string
required

Status of the Async Prediction Request (Pending, Processing, Succeeded, Failed)

errors
string[]

Errors that caused the prediction to fail

result
object

The prediction result